A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
isImageIoAvailable
ArrayFire Functions | ArrayFire Functions by Category » Input and Output functions » Reading and writing images

## Functions
AFAPI bool | isImageIOAvailable ()
| Function to check if Image IO is available.
AFAPI af_err | af_is_image_io_available (bool *out)
| Function to check if Image IO is available.

## Detailed Description

Returns true if ArrayFire was compiled with ImageIO (FreeImage) support

## Function Documentation

## ◆ af_is_image_io_available()

AFAPI af_err af_is_image_io_available | ( | bool * | out | ) |

Function to check if Image IO is available.

Parameters

  [out] | out | is true if ArrayFire was commpiled with ImageIO support, false otherwise.

Returns
  AF_SUCCESS if successful

## ◆ isImageIOAvailable()

AFAPI bool isImageIOAvailable | ( |  | ) |

Function to check if Image IO is available.

Returns
  true if ArrayFire was commpiled with ImageIO support, false otherwise.